# H225_IsupPublicPartyNumber Class Reference

`#include <h225.h>`

Inheritance diagram for H225_IsupPublicPartyNumber:

List of all members.

## Public Member Functions

| H225_IsupPublicPartyNumber (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H225_NatureOfAddress | m_natureOfAddress
H225_IsupDigits | m_address

## Constructor & Destructor Documentation

H225_IsupPublicPartyNumber::H225_IsupPublicPartyNumber | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H225_IsupPublicPartyNumber::GetDataLength | ( |  | ) | const

PBoolean H225_IsupPublicPartyNumber::Decode | ( | PASN_Stream & | strm | ) |

void H225_IsupPublicPartyNumber::Encode | ( | PASN_Stream & | strm | ) | const

void H225_IsupPublicPartyNumber::PrintOn | ( | ostream & | strm | ) | const

Comparison H225_IsupPublicPartyNumber::Compare | ( | const PObject & | obj | ) | const

PObject* H225_IsupPublicPartyNumber::Clone | ( |  | ) | const

## Member Data Documentation

H225_NatureOfAddress H225_IsupPublicPartyNumber::m_natureOfAddress

H225_IsupDigits H225_IsupPublicPartyNumber::m_address

The documentation for this class was generated from the following file:

- h225.h